Bug 1331397 - [abrt] hawaii-shell: QObjectPrivate::isSignalConnected(): hawaii killed by SIGSEGV
Summary: [abrt] hawaii-shell: QObjectPrivate::isSignalConnected(): hawaii killed by SI...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hawaii-shell
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:35ada8406dc84ac45d692ef42f4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-28 12:58 UTC by Mike FABIAN
Modified: 2016-05-24 01:25 UTC (History)
2 users (show)

Fixed In Version: hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc24 hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-07 11:44:29 UTC


Attachments (Terms of Use)
File: backtrace (106.72 KB, text/plain)
2016-04-28 12:58 UTC, Mike FABIAN
no flags Details
File: cgroup (242 bytes, text/plain)
2016-04-28 12:58 UTC, Mike FABIAN
no flags Details
File: core_backtrace (8.09 KB, text/plain)
2016-04-28 12:58 UTC, Mike FABIAN
no flags Details
File: dso_list (16.63 KB, text/plain)
2016-04-28 12:58 UTC, Mike FABIAN
no flags Details
File: environ (449 bytes, text/plain)
2016-04-28 12:58 UTC, Mike FABIAN
no flags Details
File: limits (1.29 KB, text/plain)
2016-04-28 12:59 UTC, Mike FABIAN
no flags Details
File: maps (80.78 KB, text/plain)
2016-04-28 12:59 UTC, Mike FABIAN
no flags Details
File: mountinfo (3.64 KB, text/plain)
2016-04-28 12:59 UTC, Mike FABIAN
no flags Details
File: namespaces (85 bytes, text/plain)
2016-04-28 12:59 UTC, Mike FABIAN
no flags Details
File: open_fds (3.37 KB, text/plain)
2016-04-28 12:59 UTC, Mike FABIAN
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-04-28 12:59 UTC, Mike FABIAN
no flags Details
File: var_log_messages (315 bytes, text/plain)
2016-04-28 12:59 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2016-04-28 12:58:46 UTC
Version-Release number of selected component:
hawaii-shell-0.6.90-0.1.20160228git.fc24

Additional info:
reporter:       libreport-2.7.0
backtrace_rating: 4
cmdline:        /usr/bin/hawaii --wayland-socket-name greenisland-seat0
crash_function: QObjectPrivate::isSignalConnected
executable:     /usr/bin/hawaii
global_pid:     2298
kernel:         4.5.2-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QObjectPrivate::isSignalConnected at kernel/qobject_p.h:250
 #1 QMetaObject::activate at kernel/qobject.cpp:3605
 #3 GreenIsland::Server::ClientWindow::activeChanged at /usr/src/debug/greenisland-0.7.90/x86_64-redhat-linux-gnu/src/server/moc_clientwindow.cpp:559
 #4 GreenIsland::Server::ClientWindowPrivate::setActive at /usr/src/debug/greenisland-0.7.90/src/server/shell/clientwindow.cpp:235
 #5 GreenIsland::Server::ClientWindow::~ClientWindow at /usr/src/debug/greenisland-0.7.90/src/server/shell/clientwindow.cpp:456
 #7 QObjectPrivate::deleteChildren at kernel/qobject.cpp:1963
 #8 QObject::~QObject at kernel/qobject.cpp:1034
 #9 GreenIsland::Server::WindowManager::~WindowManager at /usr/src/debug/greenisland-0.7.90/src/server/shell/windowmanager.h:45
 #10 QQmlPrivate::QQmlElement<GreenIsland::Server::WindowManager>::~QQmlElement at /usr/include/qt5/QtQml/qqmlprivate.h:98
 #12 QObjectPrivate::deleteChildren at kernel/qobject.cpp:1963

Comment 1 Mike FABIAN 2016-04-28 12:58:53 UTC
Created attachment 1151854 [details]
File: backtrace

Comment 2 Mike FABIAN 2016-04-28 12:58:54 UTC
Created attachment 1151855 [details]
File: cgroup

Comment 3 Mike FABIAN 2016-04-28 12:58:56 UTC
Created attachment 1151856 [details]
File: core_backtrace

Comment 4 Mike FABIAN 2016-04-28 12:58:58 UTC
Created attachment 1151857 [details]
File: dso_list

Comment 5 Mike FABIAN 2016-04-28 12:58:59 UTC
Created attachment 1151858 [details]
File: environ

Comment 6 Mike FABIAN 2016-04-28 12:59:01 UTC
Created attachment 1151859 [details]
File: limits

Comment 7 Mike FABIAN 2016-04-28 12:59:03 UTC
Created attachment 1151860 [details]
File: maps

Comment 8 Mike FABIAN 2016-04-28 12:59:05 UTC
Created attachment 1151861 [details]
File: mountinfo

Comment 9 Mike FABIAN 2016-04-28 12:59:06 UTC
Created attachment 1151862 [details]
File: namespaces

Comment 10 Mike FABIAN 2016-04-28 12:59:08 UTC
Created attachment 1151863 [details]
File: open_fds

Comment 11 Mike FABIAN 2016-04-28 12:59:09 UTC
Created attachment 1151864 [details]
File: proc_pid_status

Comment 12 Mike FABIAN 2016-04-28 12:59:11 UTC
Created attachment 1151865 [details]
File: var_log_messages

Comment 13 Fedora Update System 2016-05-01 03:28:13 UTC
hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc23 hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc23 hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc23 hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc23 libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc23 greenisland-0.7.90-1.20160420gitf29505146ed29.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f09216bbd3

Comment 14 Fedora Update System 2016-05-01 03:28:29 UTC
hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc24 hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc24 hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc24 hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc24 libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc24 greenisland-0.7.90-1.20160420gitf29505146ed29.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1730a711e2

Comment 15 Fedora Update System 2016-05-01 17:54:44 UTC
greenisland-0.7.90-1.20160420gitf29505146ed29.fc24, hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc24, hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc24, hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc24, hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc24, libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1730a711e2

Comment 16 Fedora Update System 2016-05-02 00:52:46 UTC
greenisland-0.7.90-1.20160420gitf29505146ed29.fc23, hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc23, hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc23, hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc23, hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc23, libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f09216bbd3

Comment 17 Fedora Update System 2016-05-07 11:44:21 UTC
greenisland-0.7.90-1.20160420gitf29505146ed29.fc24, hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc24, hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc24, hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc24, hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc24, libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-05-24 01:25:43 UTC
greenisland-0.7.90-1.20160420gitf29505146ed29.fc23, hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc23, hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc23, hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc23, hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc23, libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.